Zone.js does not support native async/await in ES2017 warning

📚 Docs or angular.io bug report

Description

We’re told to update our target to es2018, so, after doing that, I’m getting a ton of

WARNING: Zone.js does not support native async/await in ES2017.
    These blocks are not intercepted by zone.js and will not triggering change detection.
    See: https://github.com/angular/zone.js/pull/1140 for more information.

…when I run tests and when I serve the application.

Reproduction Steps**

Upgrade to Angular v10, update target in tsconfig.base.json to es2018

Expected vs Actual Behavior**

Expected behavior would probably be to not see any sort of warning after having followed official instructions. In reality, I’m getting a warning with a linked PR to an archived repo. We could provide a better experience to our users.

1 possible answer(s) on “Zone.js does not support native async/await in ES2017 warning